# struct MidiEvent | Represents a MIDI event. More...
Definition | `#include <track.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Members

- uchar command
- uchar chn
- uchar note
- uchar vel
- uchar patch
- uchar ctl
- uchar d1
- uchar d2
- uchar d3
- uchar d4
- uchar d5
- uchar d6
- ulong length
- uchar *data

## Detailed Description

An structure that represents a MIDI event.

uchar command | ### command

uchar chn | ### chn

uchar note | ### note

uchar vel | ### vel

uchar patch | ### patch

uchar ctl | ### ctl

uchar d1 | ### d1

uchar d2 | ### d2

uchar d3 | ### d3

uchar d4 | ### d4

uchar d5 | ### d5

uchar d6 | ### d6

ulong length | ### length

uchar * data | ### data

- Version: 0.9.5 17/01/2000
- Author: Antonio Larrosa Jimenez <larrosa@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:49:53 2001, using kdoc 2.0a53.